Skip to main content
POST
https://{tenantDomain}/api/v2
/
actions
/
modules
/
{id}
/
versions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.Modules.Versions.CreateAsync(
            "id"
        );
    }

}
{
  "id": "<string>",
  "module_id": "<string>",
  "version_number": 123,
  "code": "<string>",
  "secrets": [
    {
      "name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "dependencies": [
    {
      "name": "<string>",
      "version": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the action module to create a version for.

Response

The action module version was created.

id
string

The unique ID for this version.

module_id
string

The ID of the parent module.

version_number
integer

The sequential version number.

code
string

The exact source code that was published with this version.

secrets
object[]

Secrets available to this version (name and updated_at only, values never returned).

dependencies
object[]

Dependencies locked to this version.

created_at
string<date-time>

The timestamp when this version was created.